import { Context } from '@opentelemetry/api';
import { Span as OtelSpan, SpanProcessor as OtelSpanProcessor } from '@opentelemetry/sdk-trace-base';
import { Span as SentrySpan } from '@sentry/types';
export declare const SENTRY_SPAN_PROCESSOR_MAP: Map<string, SentrySpan>;
/** Get a Sentry span for an otel span ID. */
export declare function getSentrySpan(otelSpanId: string): SentrySpan | undefined;
/**
 * Converts OpenTelemetry Spans to Sentry Spans and sends them to Sentry via
 * the Sentry SDK.
 */
export declare class SentrySpanProcessor implements OtelSpanProcessor {
    constructor();
    /**
     * @inheritDoc
     */
    onStart(otelSpan: OtelSpan, parentContext: Context): void;
    /**
     * @inheritDoc
     */
    onEnd(otelSpan: OtelSpan): void;
    /**
     * @inheritDoc
     */
    shutdown(): Promise<void>;
    /**
     * @inheritDoc
     */
    forceFlush(): Promise<void>;
}
//# sourceMappingURL=spanprocessor.d.ts.map
